<template>
  <h1>My TODO list</h1>
  <div class="flex items-center">
    <input v-model="newTodo" type="text"/>
    <div class="card">
      <button type="button" @click="myTodos.push(newTodo)">Add</button>
    </div>
  </div>

  <ul>
    <li v-for="todo in myTodos" :key="todo">{{ todo }}</li>
  </ul>
</template>
<script lang="ts" setup>
import {onMounted, ref} from 'vue'

const newTodo = ref<string>('')
const myTodos = ref<string[]>([])

const props = defineProps<{
  existingTodos?: string[]
}>()


onMounted(() => {
  myTodos.value = props.existingTodos || []
})


</script>
<style scoped>

.flex {
  display: flex;
}

.items-center {
  align-items: center;
}
</style>
